backend:
  name: github
  repo: netlify/netlify-cms
  squash_merges: true

site_url: "https://www.netlifycms.org"

publish_mode: editorial_workflow

media_folder: "website/static/img" # Folder where user uploaded files should go
public_folder: "img"

collections: # A list of collections the CMS should be able to edit
  - name: "docs" # Used in routes, ie.: /admin/collections/:slug/edit
    label: "Docs" # Used in the UI, ie.: "New Post"
    folder: "website/content/docs" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    preview_path: "docs/{{slug}}"
    fields: # The fields each document in this collection have
      - {label: "Title", name: "title", widget: "string", tagname: "h1"}
      - {label: "Group", name: "group", widget: "string"}
      - {label: "Weight", name: "weight", widget: "number"}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: "widget_docs" # Used in routes, ie.: /admin/collections/:slug/edit
    label: "Widget Docs" # Used in the UI, ie.: "New Post"
    folder: "website/content/docs/widgets" # The path to the folder where the documents are stored
    preview_path: "docs/widgets/{{title}}"
    create: true # Allow users to create new documents in this collection
    fields: # The fields each document in this collection have
      - {label: "Name", name: "title"}
      - {label: "Label", name: "label"}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: "blog"
    label: "Blog"
    label_singular: "Post"
    folder: "website/content/blog"
    preview_path: "blog/{{year}}/{{month}}/{{title}}"
    create: true
    fields:
      - {label: "Title", name: "title", widget: "string", tagname: "h1"}
      - {label: "Author", name: "author", widget: "string"}
      - {label: "Description (for blog list)", name: "description", widget: "text"}
      - {label: "Meta Description (defaults to Description)", name: "meta_description", widget: "text", required: false}
      - {label: "Twitter Image", name: "twitter_image", widget: "image"}
      - {label: "Date", name: "date", widget: "date"}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: updates
    label: Updates
    files:
      - name: releases
        label: Releases
        file: website/data/updates.yml
        fields:
          - name: updates
            label: Releases
            widget: list
            fields:
              - {name: version, label: Version}
              - {name: date, label: Date, widget: date}
              - {name: description, label: Description}
      - name: notifications
        label: Notifications
        file: website/data/notifications.yml
        description: Site-top notifications - publish one at a time
        fields:
          - name: notifications
            label: Notifications
            widget: list
            fields:
              - {label: Title, name: title, widget: string, tagname: h1}
              - {label: Published, name: published, widget: boolean}
              - {label: Loud, name: loud, widget: boolean}
              - {label: Message, name: message, widget: text}
              - {label: URL, name: url}
